@charset "UTF-8";


body {
    font-family: "Hiragino Mincho ProN", "MS Mincho", serif;
    background-color: #F6F0EC;
    color: #252525;
    letter-spacing: .08em;
    font-size: 100%;
    line-height: 1;
    font-weight: normal;
}

.wrapper {
    margin: 0 auto;
    max-width: 1000px;
    width: 100%;
    height: 100vh;
    padding-top: 200px;
}

a {
    display: block;
}

p {
    font-family: "Shippori Mincho", serif;
    font-weight: 400;
    font-style: normal;
}


/* header */

.point{
    position: fixed;
    top: 3%;
    text-align: center;
    background-color:#fff;
    font-size:0.8rem;
    


}
header {
    background-color: rgba(246, 240, 236, 0.9);
    position: fixed;
    top: 0;
    height: 134px;
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: start;
    align-items: center;
    z-index: 2;
}

.header.wrapper {
    height: 134px;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#logo {
    width: 100%;
    text-align: center;
    font-family: "WindSong", cursive;
    font-weight: 500;
    font-style: normal;
    margin-top: -35px;
}



/* ハンバーガーメニュー */
.openbtn {
    position: relative;
    width: 50px;
    height: 50px;
    cursor: pointer;
    align-self: flex-start;
    z-index: 5;
}

/*ボタン内側*/

.openbtn span {
    display: inline-block;
    transition: all .4s;
    /*アニメーションの設定*/
    position: absolute;
    left: 13px;
    height: 2px;
    background-color: #252525;
}


.openbtn span:nth-of-type(1) {
    top: 22px;
    width: 50%;
}

.openbtn span:nth-of-type(2) {
    top: 29px;
    width: 30%;
}



.openbtn.active span:nth-of-type(1) {
    top: 20px;
    left: 16px;
    transform: translateY(6px) rotate(-45deg);
    width: 35%;
    z-index: 6;
}

.openbtn.active span:nth-of-type(2) {
    top: 32px;
    left: 16px;
    transform: translateY(-6px) rotate(45deg);
    width: 35%;
    z-index: 6;
}


/* ナビゲーションメニュー */

/*アクティブになったエリア*/
#g-nav.panelactive {
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    height: 100vh;
}

/*丸の拡大*/
.circle-bg {
    position: fixed;
    z-index: 3;
    /*丸の形*/
    width: 50px;
    height: 50px;
    border-radius: 80%;
    background: #F6F0EC;
    opacity: 0.8;
    /*丸のスタート位置と形状*/
    transform: scale(0);
    /*scaleをはじめは0に*/
    left: -50px;
    top: -50px;
    transition: all .9s;

}

.circle-bg.circleactive {
    transform: scale(50);
    /*クラスが付与されたらscaleを拡大*/
}

/*ナビゲーション*/
#g-nav ul {
    opacity: 0;
    /*はじめは透過0*/
    /*ナビゲーション天地中央揃え※レイアウトによって調整してください。不必要なら削除*/
    position: absolute;
    /* z-index: 6; */
    top: 50%;
    left: 30%;
    transform: translate(-50%, -50%);
}

/*背景が出現後にナビゲーションを表示*/
#g-nav.panelactive ul {
    opacity: 1;
    transition: all 1s;
    width: 100%;
}



/*リストのレイアウト設定*/
#g-nav li {
    text-align: center;
    list-style: none;
    /* border-bottom: solid 1px #252525; */
    width: 100%;
}

#g-nav li a {
    color: #252525;
    text-decoration: none;
    padding-top: 10px;
    line-height: 4;
    display: block;
    letter-spacing: 0.1em;
    font-weight: bold;
    z-index: 999;
}



/* mainvisual */

#main-visual {
    background-image: url(image/mainvisual.jpg);
    background-size: cover;
    height: 100vh;
    display: flex;
    justify-content: start;
    align-items: center;
}

.main-visual-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.main-visual-text {
    font-size: 2rem;
    color: #fff;
    font-family: "Zen Kurenaido", sans-serif;
    font-weight: 400;
    font-style: normal;
    width:100%;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
    border-right: 3px solid #ffffff;
    /*点滅バー*/
    overflow: hidden;
    /*必須*/
    white-space: nowrap;
    /*必須*/
    animation: typing 3s steps(30), blink .4s step-end infinite alternate;
    /*アニメーション関連*/
}


@keyframes blink {
    50% {
        border-color: transparent;
        /*点滅風に見せる*/
    }
}

@keyframes typing {
    from {
        width: 0;
    }
}



h2 br {
    display: none;
}

#sns-icon {
    width: 29px;
    margin: 10px;
}




/* section 共通*/

.js-fade {
    opacity: 0;
    visibility: hidden;
    transform: translateY(50px);
    transition: opacity 1s, visibility 1s, transform 1s;
}

.scroll {
    opacity: 1;
    visibility: visible;
    transform: translateY(0px);
}

section {
    height: 150vh;
}

.title {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
}

    h3 {
        width: 20%;
        font-family: "WindSong", cursive;
        font-weight: 500;
        font-style: normal;
        font-size: 4rem;
        color: #F4B9A8;
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    }

    h4 {
        font-family: "Shippori Mincho", serif;
        font-weight: 400;
        font-style: normal;
        font-size: 1.5rem;
        margin-left: 8%;
        position: relative;
        display: inline-block;
        padding: 0 55px;
    }

    h4:before,
    h4:after {
        content: "";
        position: absolute;
        top: 50%;
        display: inline-block;
        width: 30px;
        height: 1px;
        background-color: #252525;
    }

    h4:before {
        left: 0;
    }

    h4:after {
        right: 0;
    }

/* リンクボタン */
.link p {
    font-weight: 700;
}

.link p:hover {
    font-weight: normal;
}

.view-more-btn {
    width: 200px;
    margin-left: auto;
    /*波紋の基点とするためrelativeを指定*/
    position: relative;
    /*リンクの形状*/
    display: flex;
    justify-content: flex-end;
    padding-right: 5%;
    color: #E49989;
    outline: none;
    /* text-shadow: 1px 1px 0.5px rgba(0, 0, 0, 0.2); */
}

.view-more-btn a{
    width: 100%;
}
.view-more-btn p {
    width: 100%;
   
}

/*波形の設定*/
.view-more-btn a:hover::before {
    content: '';
    /*絶対配置で波形の位置を決める*/
    position: absolute;
    right: 50%;
    top: 10%;
    /*波形の形状*/
    border: 2px solid #E49989;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    /*はじめは不透明*/
    opacity: 1;
    /*アニメーションの設定*/
    animation: 0.5s circleanime2 forwards;
}


/*波形が広がるアニメーション*/
@keyframes circleanime2 {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(2);
        opacity: 0;
    }
}


/*矢印の設定*/
.link::after {
    content: '';
    /*絶対配置で矢印の位置を決める*/
    position: absolute;
    top: 50%;
    right: 0;
    /*矢印の形状*/
    width: 5px;
    height: 5px;
    border-top: 1px solid #E49989;
    border-right: 1px solid #E49989;
    transform: rotate(45deg);
}


/* about */



.about.wrapper {
    position: relative;
}


.about.title {
    width: 100%;
    box-sizing: border-box;
    position: absolute;
    top: 20%;
    left: -20%;
    transform: translateY(-50%);
}

.about.title h4 {
    position: absolute;
    width: 45%;
    top: 60%;
    left: 42%;
}

.service-sub-title{
    width: 100%;
    padding: 0 1%;
}
.service-sub-title p{
    margin-top: 10px;
}

.circle {
    width: 574px;
    height: 632px;
    background: #FBE3DC;
    border-radius: 46% 54% 35% 65% / 49% 48% 52% 51%;
    position: absolute;
    top: 50%;
    left: 40%;
    transform: translate(-50%, -50%);
}

#hidden-circle {
    display: none;
}

.about-inner {
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-text {
    box-sizing: border-box;
    position: absolute;
    width: 65%;
    top: 20%;
    left: -20%;
    margin-left: 40%;
    padding: 10% 10% 10% 5%;
    line-height: 2.5;
}

.about-inner img {
    box-sizing: border-box;
    position: absolute;
    width: 65%;
    top: 30%;
    right: -50%;
    border-radius: 19px;
    margin: 0 auto;
}

.about.view-more-btn {
    box-sizing: border-box;
    position: absolute;
    bottom: 20%;
    right: -50%;
}

.about.view-more-btn .view-more.link::after {
    content: '';
    /* 絶対配置で矢印の位置を決める  */
    position: absolute;
    top: 30%;
    right: -4%;
}

/* servises */
.service.title{
    margin-bottom: 50px;
}

.service.section {
    background-color: #ffffff;
}

.service-inner {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding-top: 5%;
}

.service-contents {
    width: 33%;
}

.service-contents img {
    width: 95%;
    text-align: center;
}

.service-contents a {
    display: block;
}

.service-contents-item {

    position: relative;

}
.service-contents p {
    font-size: 0.9rem;
}

.hover-mask {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* テキストの中央揃え */
    background: rgba(0, 0, 0, .5);
    /* マスクの色(黒の50%) */
    bottom: 0;
    color: #fff;
    /* テキストの色 */
    display: flex;
    /* テキストの中央揃え */
    height: 100%;
    justify-content: center;
    /* テキストの中央揃え */
    left: 0;
    opacity: 0;
    /* 最初は透明(非表示) */
    position: absolute;
    right: 0;
    top: 0;
    transition: opacity .6s ease;
    /* ゆっくりopacityのみへ変化させる */
    width: 95%;
}

.hover-mask p {
    text-align: center;
}

.hover-mask:hover {
    opacity: 1;
    /* hoverしたら透過しない(表示させる) */
}

.hover-mask p {
    width: 80%;
    /* テキストを横幅いっぱいにならないようにする */
}



h5 {
    font-family: "Shippori Mincho", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.1rem;
    margin: 5% 0;
    width: 95%
}

.service-contents p {
    width: 95%;
    line-height: 1.5;

}
#comingsoon{
    color:#E49989;
    font-size: 0.8rem;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
}



/* works */

.swiper {
    width: 100%;
}

.swiper-wrapper {
    padding: 100px 0;
    height: 50vh;
}

.swiper-slide img {
    height: auto;
    width: 95%;
    border-radius: 2px;
    box-shadow: 0 0 3px 0 rgb(0 0 0 / 12%), 0 2px 3px 0 rgb(0 0 0 / 22%);
    cursor: pointer;
    transition: 0.2s ease-in-out;
    text-decoration: none;
}

.swiper-slide img:hover {
    box-shadow: 0 15px 30px -5px rgb(0 0 0 / 15%), 0 0 5px rgb(0 0 0 / 10%);
    transform: translateY(-4px);
}

.swiper-button-next:after,
.swiper-rtl .swiper-button-prev:after {
    color: #E49989;
}

.swiper-button-prev:after,
.swiper-rtl .swiper-button-next:after {
    color: #E49989;
}

/* contact */
.contact-inner {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 20%;
    position: relative;
}

.decoration {
    width: 7%;
    position: absolute;
    top: 30px;
    left: 60%;
    transform: translate(-40%, -60%) scaleX(-1);
}

.contact-inner p {
    line-height: 2;
    margin-top: 3%;
}

.my-icon {
    display: inline-block;
    width: 30%;
    margin: 50px 0;
}

.contact.wrapper {
    text-align: center;
    position: relative;
}

.pagetop {
    position: fixed;
    bottom: 0;
    right: 0;
    margin: 20px;
}

.contact-btn {
    margin: 0 auto;
    width: 30%;
    height: 50px;
    border-radius: 36px;
    background-color: #ffffff;
    box-shadow: 0 2px 3px rgb(0 0 0 / 25%), 0 2px 3px -2px rgb(0 0 0 / 15%);
}

.contact-btn:hover {
    background-color: #FBE3DC;
    border: none;
}


.contact-btn a {
    height: 100%;
    width: 100%;
}

.contact-btn p {
    display: inline-block;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #F4B9A8;
}

.contact-btn p:hover {
    color: #252525;
}

/* sns section */
.sns.section {
    height: 80vh;
    background-image: url(image/snsbg.jpg);
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sns-container {
    height: 60vh;
    width: 100%;
    background-color: rgba(244, 185, 168, 0.9);

}

.sns.wrapper {
    height: 60vh;
    padding: 0;
}

.sns-inner {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

.sns-nav {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
}


.sns-nav a {
    text-decoration: underline #ffffff;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}


.sns-nav p {
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
    color: #ffffff;
    letter-spacing: 0.05rem;
}


.sns_comment {
    width: 40%;
    align-self: flex-start;
}

.sns-contents {
    display: flex;
    justify-content: start;
    align-items: start;
}

.instagram-frame-container {
    position: relative;
    width: 100%;
    max-width: 1000px;
    height: 25vw;
    pointer-events: none;
}

.instagram-frame {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    opacity: 0;
    /* z-index: 2; */
    pointer-events: auto;
    cursor: pointer;
}

.sns-contents {
    position: relative;
    z-index: 1;
}

.sns-contents iframe {
    pointer-events: none;
}




/* footer */
footer {
    height: 67px;
    width: 100%;
    text-align: center;
}

.footer.wrapper {
    height: 100%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8rem;
}

/* pagetop */



.pagetop {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border: none;
    border-radius: 50%;
    background-color: #f4b9a8;
}

#page-top {
    position: fixed;
    right: 10px;
    z-index: 2;
    /*はじめは非表示*/
    opacity: 0;
    transform: translateY(100px);
}

.pagetop:hover {
    border: 1px solid #f4b9a8;
    background-color: #fff;
}

.pagetop:hover path {
    fill: #f4b9a8;
}


/*　上に上がる動き　*/

#page-top.UpMove {
    animation: UpAnime 0.5s forwards;
}

@keyframes UpAnime {
    from {
        opacity: 0;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/*　下に下がる動き　*/

#page-top.DownMove {
    animation: DownAnime 0.5s forwards;
}

@keyframes DownAnime {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 1;
        transform: translateY(100px);
    }
}

/* レスポンシブ */

@media screen and (max-width: 1000px) {
    body {
        font-size: 90%;
        padding: 1%
    }
    .point{
        position: fixed;
        top: 18%;
        text-align: center;
        background-color:#fff;
        font-size:0.8rem;
    }

    .about.title {
        width: 100%;
        box-sizing: border-box;
        position: absolute;
        width: 100%;
        top: 5%;
        left: -10%;
        transform: translateY(-50%);
    }

    .about.title h4 {
        position: absolute;
        width: 45%;
        top: 60%;
        left: 42%;

    }


    .about.view-more-btn {
        box-sizing: border-box;
        position: absolute;
        bottom: 20%;
        right: -40%;
    }

    .about.view-more-btn .view-more.link::after {
        content: '';
        position: absolute;
        top: 30%;
        right: 5%;
    }

    .about-text {
        box-sizing: border-box;
        position: absolute;
        width: 65%;
        top: 20%;
        left: -50%;
        margin-left: 40%;
        padding: 10% 10% 10% 5%;
        line-height: 2.5;
    }

    .about-inner img {
        box-sizing: border-box;
        position: absolute;
        width: 65%;
        top: 30%;
        right: -30%;
        border-radius: 19px;
        margin: 0 auto;
    }
}

@media screen and (max-width: 768px) {
    body {
        font-size: 90%;
    }

    .wrapper {
        max-width: 100%;
        padding-top: 80px;
    }

    header {
        height: 80px;
    }

    .openbtn {
        display: block;
    }


    .main-visual-text {
        font-size: 1.5rem;
        width: 80%;
        border-right: none;
    }


    .about.title {
        left: 10%;
    }

    .about.title h4 {
        left: 22%;
    }

    h4 {
        margin-left: 30%;
    }

    .about.view-more-btn {
        right: 0;
    }

    .about.view-more-btn .view-more.link::after {
        right: 10%;
    }

    .about-text {
        width: 50%;
        left: -30%;
    }

    .about-inner img {
        width: 50%;
        right: -10%;
    }
}


@media screen and (max-width: 428px) {
    body {
        font-size: 95%;
    }

    .wrapper {
        max-width: 100%;
    }

    #main-visual {
        background-image: url(image/mainvisual.jpg);
        background-size: cover;
        background-position: center;
        height: 100vh;
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }

    .title {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }


    h3 {
        width: 100%;
        font-size: 3rem;
        margin: 0 auto;
    }

    h4 {
        font-size: 1rem;
        margin: 20px auto;
        width: 100%;
        z-index: 99;
    }

    h4:before,
    h4:after {
        content: "";
        position: absolute;
        top: 50%;
        display: inline-block;
        width: 20px;
        height: 1px;
        background-color: #252525;
    }

    h4:before {
        left: 20%;
    }

    h4:after {
        right: 20%;
    }

    h2 br {
        display: block;
    }

    .main-visual-inner {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100%;
        padding: 1% 0;
    }

    .side-sns-nav {
        display: flex;
        margin-top: auto;
    }

    .about.section,
    .about.wrapper {
        height: 150vh;
        min-height: 100vh; 
        position: static;
    }
    

    .main-visual-text {
        /* font-size: 2rem; */
        width: 95%;
        justify-content: center;
        border-right: none;
        animation: none;
        margin-top: 40vh;
    }

    .about.title {
        position: static;
        top: 0;
        left: 0;
        transform: none;
    }

    .about.title h4 {
        position: static;
        width: 80%;
        top: 0;
        left: 0;
    }

    .circle {
        width: 95%;
        height: 430px;
        top: 40%;
        left: 50%;
    }

    #visible-circle {
        display: none;
    }

    .about.section {
        position: relative;
    }

    #hidden-circle {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
    }
    .service-sub-title{
       
        padding: 0 4%;
    }
    .service-sub-title p{
        font-size: 0.9rem;
    }

    .about-inner {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-top: 50px;
    }
   

    .about-text {
        position: static;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 auto;
        padding: 0 5%;
        width: 80%;
    }

    .about-inner img {
        position: static;
        top: 0;
        left: 0;
        right: 0;
        margin: 50px 0 auto;
        padding: 0;
        width: 80%;
        padding: 0 5%;
    }

    .about.view-more-btn {
        width: 200px;
        margin-left: auto;
        position: relative;
        bottom: 0;
        display: flex;
        justify-content: flex-end;
        padding-right: 5%;
        color: #E49989;
        outline: none;
        margin-top: 100vh;
    }
   
    .about.view-more-btn .view-more.link::after {
        content: ''; 
        position: absolute; 
        top: 5%;
        right: 10%;
    }

    .view-more-btn a{
        width: 100%;
    }
    .view-more-btn p {
        width: 100%;
       
    }

    .service.section {
        height: 100%;
    }

    .service.wrapper {
        height: 100%;
    }


    .service-inner {
        display: block;
        padding-top: 5%;
        text-align: center;
    }

    .service-contents {
        width: 95%;
        margin: 0 auto 100px;
    }

    .service-contents p {
        font-size: 0.8rem;
    }

    .service-contents img {
        width: 100%;
        text-align: center;
        margin: 0 auto;
    }

    h5 {
        font-size: 1rem;
    }


    .service-contents-item {
        position: relative;
    }

    .hover-mask {
        display: none;
    }

    .view-more-btn {
        padding-bottom: 100px;
    }

    .link::after {
        content: '';
        position: absolute;
        top: 5%;
        right: 10%;
    }

    .decoration {
        width: 10%;
        position: absolute;
        top: 20px;
        left: 80%;
        transform: translate(-40%, -60%) scaleX(-1);
    }

    .my-icon {
        width: 50%;
        margin: 0;
    }

    .contact.section,
    .contact.wrapper {
        height: 80vh;
        padding-top: 50px;
    }

    .contact-btn {
        width: 80%;
    }

    .sns.section,
    .sns.wrapper {
        height: 40vh;
    }

    .sns-container {
        height: 30vh;
    }

    .sns-inner {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .sns-nav {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 0;
    }

    .sns_comment {
        width: 80%;
        align-self: center;
    }
    

}